Bug 200624 - cups-1.2.2-1.1 breaks remote hpijs printing
cups-1.2.2-1.1 breaks remote hpijs printing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2006-07-29 01:28 EDT by James R. Leu
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.2.3-1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 04:53:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James R. Leu 2006-07-29 01:28:50 EDT
Description of problem:

cups-1.2.2-1.1 breaks remote hpijs printing

Version-Release number of selected component (if applicable):
Remote printing works with cups-1.2.1-1.7, remote printing is broken with
cups-1.2.2-1.1


How reproducible:

Very

Steps to Reproduce:
1.use cups-1.2.1-1.7 with application/octet-stream uncommented, print from
remote machine using hpijs driver, and notice a successful print.
2.Upgrading to cups-1.2.2-1.1
3.try and print from a remote machine using the hpijs driver
4.notice that the print job is received from the remote machine, but all that is
printed is garbage which includes LANGUAGE=PCL3GUI
  
Actual results:
Print job received from remote machine, but all that is printed is garbage which
includes LANGUAGE=PCL3GUI

Expected results:
Successful print.


Additional info:
I'm assuming that something with the application/vnd.cups-raw mime type is not
working (it should recognize the garbage and do a proper conversion)
Comment 1 Tim Waugh 2006-08-01 05:46:52 EDT
Is 'application/octet-stream' still uncommented?
Comment 2 Bernie Innocenti 2006-08-03 18:02:21 EDT
Also happens here, with an HP1200 and the pxlmono driver.

Upgrading the client cups to 1.2.2 sufficed to trigger
the bug.

Switching to the Postscript driver fixes the problem,
but this printer is very slow with Postscript so I'd
like to get pxlmono back working.
Comment 4 Tim Waugh 2006-08-15 12:45:08 EDT
Please try this test update:

  https://www.redhat.com/archives/fedora-test-list/2006-August/msg00293.html

Comment 5 M Daniel Rodriguez Magarzo 2006-08-25 09:05:01 EDT
Same problem to me, a home LAN conformed by 2 PC computers: desktop and laptop.
Printer is an HP 5150 Deskjet which is directly attached to the desktop box
(CUPS server). Static IPs assigned. 
Current systems are both FC5, fresh installs about six weeks ago, both up to
date permanently from Core, Extras and Livna. Gnome desktop. Cups v.1.2.2. 
Printer settings were done by Gnome printconf-gui tool in both sides, client and
server. IPP configuration for sure is good, since: a) The same one worked OK
before, when there were two FC4 installs, and b) Many different configurations
were applied for testing now ... 
Respective firewalls virtually wide opened for LAN IPs, allowing connections
between them; also 631,515 ports specifically opened via firestarter rules.
Printing from the server box is always OK, but printing jobs from the client box
are giving me the same head printed message, this one:

-12345X@PJL  ENTER  LANGUAJE=PCL3GUI
17H1-1M126Ao0M1-2Hg20WXX          XX
 u600Dr481 ...

-------------------------------
After findind this bug report, I uncommmented that ... application/octet-stream
... in the /etc/cups/... file --actually I don't know the meaning of that action
..----
Result: still didn't work.

Then switched from the hpijs to the Postscript driver in the client (as said
Bernardo before) and PRINTING IS OK, even quality is good too.

Comment 6 Tim Waugh 2006-08-25 10:15:31 EDT
Yes, unfortunately the 1.2.2-1.8 update used the upstream patch, which turned
out to have one final bug in it.  This has been fixed in Fedora devel but not
yet in Fedora Core 5.

I'm hoping that cups-1.2.3 will be available shortly and will make a Fedora Core
5 update once it is.
Comment 7 Tim Waugh 2006-08-29 06:35:43 EDT
Please try this test update:

  https://www.redhat.com/archives/fedora-test-list/2006-August/msg00523.html

Let me know if it fixes the problem or not.  Thanks.
Comment 8 M Daniel Rodriguez Magarzo 2006-08-31 13:54:48 EDT
Yes, it does fix the problem here. Steps followed:
1º) Printing queue configured with Postscript driver (working). I check it again
after several days: yes, it prints OK.
2º) Via Gnome I change to the hp* driver (HP 5150 deskjet) back again. I check
printing now: no printing (as expected).
3º) Maintained last configuration, next was a "yum update cups" with
updates-testing repo enabled only for that purpose. 
Output below:
[root@Ulises yum.repos.d]# yum --enablerepo=updates-testing update cups
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
livna                                                                [1/5]
core                                                                 [2/5]
updates                                                              [3/5]
updates-testing                                                      [4/5]
extras                                                               [5/5]
Reading repository metadata in from local files
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package cups.i386 1:1.2.3-1.2 set to be updated
--> Running transaction check
--> Processing Dependency: cups-libs = 1:1.2.3 for package: cups
--> Processing Dependency: cups = 1:1.2.2 for package: cups-lpd
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package cups-lpd.i386 1:1.2.3-1.2 set to be updated
---> Package cups-libs.i386 1:1.2.3-1.2 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 cups                    i386       1:1.2.3-1.2      updates-testing   2.7 M
Updating for dependencies:
 cups-libs               i386       1:1.2.3-1.2      updates-testing   174 k
 cups-lpd                i386       1:1.2.3-1.2      updates-testing    44 k

Transaction Summary
=============================================================================
Install      0 Package(s)
Update       3 Package(s)
Remove       0 Package(s)
Total download size: 2.9 M
Is this ok [y/N]: y
Downloading Packages:
(1/3): cups-1.2.3-1.2.i38 100% |=========================| 2.7 MB    00:26
(2/3): cups-lpd-1.2.3-1.2 100% |=========================|  44 kB    00:00
(3/3): cups-libs-1.2.3-1. 100% |=========================| 174 kB    00:01
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 30c9ecf8
Public key for cups-1.2.3-1.2.i386.rpm is not installed
Retrieving GPG key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test
Importing GPG key 0x30C9ECF8 "Fedora Project (Test Software) <rawhide@redhat.com>"
Is this ok [y/N]: y
Key imported successfully
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : cups-libs                    ######################### [1/6]
  Updating  : cups                         ######################### [2/6]
  Updating  : cups-lpd                     ######################### [3/6]
  Cleanup   : cups                         ######################### [4/6]
  Cleanup   : cups-lpd                     ######################### [5/6]
  Cleanup   : cups-libs                    ######################### [6/6]

Updated: cups.i386 1:1.2.3-1.2
Dependency Updated: cups-libs.i386 1:1.2.3-1.2 cups-lpd.i386 1:1.2.3-1.2
Complete!
[root@Ulises yum.repos.d]#

4º) As root too: /sbin/service cups restart
5º) Tried printing now, and YES! It prints perfectly. 

Thanks and congratulations!


Comment 9 Fedora Update System 2006-09-04 13:17:26 EDT
cups-1.2.3-1.2 has been issued as a Fedora Core update and should address this issue.

Note You need to log in before you can comment on or make changes to this bug.